summaryrefslogtreecommitdiff
path: root/tools
diff options
context:
space:
mode:
authorJenkins <jenkins@review.openstack.org>2015-01-11 21:06:14 +0000
committerGerrit Code Review <review@openstack.org>2015-01-11 21:06:14 +0000
commitb5956cbaee2fcfe1a179b00e9cb0b29aa0424270 (patch)
tree1571093dcae5d49d5e295dc8bb7e0ab1fe3c9476 /tools
parentcfbe5c56340c0e4a3b18902d7e55bb18a45857ec (diff)
parentefbb3887e0a976e9cea2ba59e359583a12f64e31 (diff)
downloadoslo-db-b5956cbaee2fcfe1a179b00e9cb0b29aa0424270.tar.gz
Merge "Add pretty_tox wrapper script"
Diffstat (limited to 'tools')
-rwxr-xr-xtools/pretty_tox.sh11
1 files changed, 11 insertions, 0 deletions
diff --git a/tools/pretty_tox.sh b/tools/pretty_tox.sh
new file mode 100755
index 0000000..b9fd556
--- /dev/null
+++ b/tools/pretty_tox.sh
@@ -0,0 +1,11 @@
+#!/usr/bin/env bash
+
+# return nonzero exit status of rightmost command, so that we
+# get nonzero exit on test failure without halting subunit-trace
+set -o pipefail
+
+
+TESTRARGS=$1
+
+python setup.py testr --slowest --testr-args="--subunit $TESTRARGS" | subunit-trace -f
+